if (!hasMemo("gotBeer"))
{
  if (!this.useIcon.isIcon) this.useIcon.initIcon();
}
else if (this.useIcon.isIcon)
{
  if (itemCount("Coin") >= 1) this.useIcon.initItem(asItem("Potion"));
  else this.useIcon.initItem(asItem("Coin"));
}